AGE(4)

NAME
age - Attansic/Atheros L1 Gigabit Ethernet driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device miibus
device age

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    if_age_load="YES"

DESCRIPTION
The age device driver provides support for Attansic/Atheros L1 PCI Express Gigabit Ethernet controllers.

All LOMs supported by the age driver have TCP/UDP/IP checksum offload for both transmit and receive, TCP segmentation offload (TSO), hardware VLAN tag stripping/insertion features and an interrupt moderation mechanism as well as a 64-bit multicast hash filter.

The L1 also supports Jumbo Frames (up to 10240 bytes), which can be configured via the interface MTU setting. Selecting an MTU larger than 1500 bytes with the ifconfig(8) utility configures the adapter to receive and transmit Jumbo Frames.

The age driver supports the following media types:

autoselect
    Enable autoselection of the media type and options. The user can manually override the autoselected mode by adding media options to rc.conf(5).

10baseT/UTP
    Set 10Mbps operation.

100baseTX
    Set 100Mbps (Fast Ethernet) operation.

1000baseTX
    Set 1000baseTX operation over twisted pair.

The age driver supports the following media options:

full-duplex
    Force full duplex operation.

half-duplex
    Force half duplex operation.

For more information on configuring this device, see ifconfig(8).

HARDWARE
The age driver provides support for LOMs based on Attansic/Atheros L1 Gigabit Ethernet controller chips, including:

•   ASUS M2N8-VMX
•   ASUS M2V
•   ASUS M3A
•   ASUS P2-M2A590G
•   ASUS P5B-E
•   ASUS P5B-MX/WIFI-AP
•   ASUS P5B-VMSE
•   ASUS P5K
•   ASUS P5KC
•   ASUS P5KPL-C
•   ASUS P5KPL-VM
•   ASUS P5K-SE
•   ASUS P5K-V
•   ASUS P5L-MX
•   ASUS P5DL2-VM
•   ASUS P5L-VM 1394
•   ASUS G2S

LOADER TUNABLES
Tunables can be set at the loader(8) prompt before booting the kernel or stored in loader.conf(5).

hw.age.msi_disable
    This tunable disables MSI support on the Ethernet hardware. The default value is 0.

hw.age.msix_disable
    This tunable disables MSI-X support on the Ethernet hardware. The default value is 0.

SYSCTL VARIABLES
The following variables are available as both sysctl(8) variables and loader(8) tunables:

dev.age.%d.int_mod
    Maximum amount of time to delay interrupt processing in units of 2us. The accepted range is 0 to 65000, the default is 50 (100us). Value 0 completely disables the interrupt moderation.

dev.age.%d.process_limit
    Maximum amount of Rx events to be processed in the event loop before rescheduling a taskqueue. The accepted range is 30 to 255, the default value is 128 events. The interface does not need to be brought down and up again before a change takes effect.

dev.age.%d.stats
    Display lots of useful MAC counters maintained in the driver.

SEE ALSO
altq(4), arp(4), miibus(4), netintro(4), ng_ether(4), vlan(4), ifconfig(8)

HISTORY
The age driver was written by Pyun YongHyeon <yongari@FreeBSD.org>. It first appeared in FreeBSD 7.1.